Bug 23934 - Item level holds not checked for LocalHoldsPriority in Holds Queue
Summary: Item level holds not checked for LocalHoldsPriority in Holds Queue
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 18001
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-31 12:16 UTC by Nick Clemens
Modified: 2020-02-06 15:20 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03


Attachments
Bug 23934: Unit test (3.73 KB, patch)
2019-10-31 12:17 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23934: Unit test (7.43 KB, patch)
2019-10-31 17:54 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23934: Item level holds not checked for LocalHoldsPriority in Holds Queue (829 bytes, patch)
2019-10-31 17:54 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23934: Unit test (9.28 KB, patch)
2019-10-31 18:24 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23934: Unit test (9.28 KB, patch)
2019-10-31 18:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23934: Item level holds not checked for LocalHoldsPriority in Holds Queue (829 bytes, patch)
2019-10-31 18:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23934: Item level holds not checked for LocalHoldsPriority in Holds Queue (879 bytes, patch)
2019-12-10 15:10 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23934: Unit test (9.34 KB, patch)
2020-01-10 13:05 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23934: Item level holds not checked for LocalHoldsPriority in Holds Queue (1.43 KB, patch)
2020-01-10 13:05 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-10-31 12:16:24 UTC

    
Comment 1 Nick Clemens 2019-10-31 12:17:35 UTC
Created attachment 94908 [details] [review]
Bug 23934: Unit test
Comment 2 Kyle M Hall 2019-10-31 17:54:29 UTC
Created attachment 94923 [details] [review]
Bug 23934: Unit test
Comment 3 Kyle M Hall 2019-10-31 17:54:40 UTC
Created attachment 94924 [details] [review]
Bug 23934: Item level holds not checked for LocalHoldsPriority in Holds Queue
Comment 4 Kyle M Hall 2019-10-31 18:24:12 UTC
Created attachment 94926 [details] [review]
Bug 23934: Unit test
Comment 5 Kyle M Hall 2019-10-31 18:27:30 UTC
Created attachment 94929 [details] [review]
Bug 23934: Unit test
Comment 6 Kyle M Hall 2019-10-31 18:27:45 UTC
Created attachment 94930 [details] [review]
Bug 23934: Item level holds not checked for LocalHoldsPriority in Holds Queue
Comment 7 Andrew Fuerste-Henry 2019-12-10 14:39:58 UTC
Test plan:
- Set LocalHoldsPriority to "Give priority for filling holds to patrons whose pickup library matches the item's holding library"
- set yourself at Library A
- find at item at Library A
- place an item-level hold (Hold 1) for item for pickup at Library B
- set an item-level hold (Hold 2) for item for pickup at Library A
- Confirm Hold 1 shows priority=1
- Check in item
- confirm item would be captured for Hold 2, ignore hold
- run holds queue
- check item in
- confirm item is captured for Hold 2
Comment 8 ByWater Sandboxes 2019-12-10 15:10:15 UTC
Created attachment 96163 [details] [review]
Bug 23934: Item level holds not checked for LocalHoldsPriority in Holds Queue

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 9 Jonathan Druart 2020-01-10 13:05:38 UTC
Created attachment 97196 [details] [review]
Bug 23934: Unit test

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Jonathan Druart 2020-01-10 13:05:42 UTC
Created attachment 97197 [details] [review]
Bug 23934: Item level holds not checked for LocalHoldsPriority in Holds Queue

Test plan:
- Set LocalHoldsPriority to "Give priority for filling holds to patrons
whose pickup library matches the item's holding library"
- set yourself at Library A
- find at item at Library A
- place an item-level hold (Hold 1) for item for pickup at Library B
- set an item-level hold (Hold 2) for item for pickup at Library A
- Confirm Hold 1 shows priority=1
- Check in item
- confirm item would be captured for Hold 2, ignore hold
- run holds queue
- check item in
- confirm item is captured for Hold 2

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Martin Renvoize 2020-01-10 16:23:36 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 12 Joy Nelson 2020-01-31 00:20:00 UTC
Pushed to 19.11.x branch for 19.11.03
Comment 13 Lucas Gass 2020-02-06 15:20:51 UTC
unit tests do not apply cleanly to 19.05.x branch, no backport